
c***********************************************************************
      subroutine arraypoints (array, arraylo, arrayhi, npts, ilo, ihi)
c***********************************************************************
c     find the point numbers for which "array" values are greater than
c     "arraylo" and less than "arrayhi"

      implicit real*8 (a-h,o-z)

      real*8 array(*)
      real*8 arraylo, arrayhi
      integer npts, ilo, ihi

 
c*****check for out-of-bounds arraylo and arrayhi values
      if (arraylo .lt. array(1)) then
         write (99,1001) arraylo, array(1)
         ilo = -1
         return
      endif
      if (arrayhi .gt. array(npts)) then
         write (99,1002) arrayhi, array(npts)
         ihi = -1
         return
      endif


c*****search to find the array lower and uppper bounding point numbers;
c     exit normally
      do i=1,npts
         if (array(i) .ge. arraylo) exit
      enddo
      ilo = i
      do i=ilo,npts
         if (array(i) .gt. arrayhi) exit
      enddo
      ihi = i - 1
      return


c*****format statements
1001  format ('desired lambda:', f12.3, 
     .        '  < array start:', f12.3, ' (no boundaries found)')
1002  format ('desired lambda:', f12.3, 
     .        '  > array end:', f12.3,   ' (no boundaries found)')



      end








