
      subroutine chi2select
c******************************************************************************
c*****this routine searches for chi2 minima for all the desired regions
c*****defined by the user
c******************************************************************************

      implicit real*8 (a-h,o-z)
      include 'obsquants.com'
      include 'synquants.com'
      include 'asciichars.com'


c*****cycle through the chi2 arrays for each spectral refion
      chi2lo = 1000.
      do isyn=1,nsyntot
         if (chi2noocdiff(isyn,ichi2) .gt. -10.) then
            if (chi2noocdiff(isyn,ichi2) .lt. chi2lo) then
               nchi2lo = isyn                         
               chi2lo = chi2noocdiff(isyn,ichi2)
            endif                                       
         endif
      enddo                                                
      nchi2nomin(ichi2) = nchi2lo
      chi2nomin(ichi2) = chi2lo
      teffchi2(ichi2) = teffmod(nchi2lo)
      loggchi2(ichi2) = loggmod(nchi2lo)
      metalchi2(ichi2) = metalmod(nchi2lo)
      vmicrochi2(ichi2) = vmicromod(nchi2lo)
      write (99,1001) chi2nomin(ichi2), nint(teffchi2(ichi2)), 
     .                loggchi2(ichi2), metalchi2(ichi2), 
     .                vmicrochi2(ichi2)


c*****exit normally
      return


c*****format statements
1001  format ('NCHI2 MINIMUM, TEFF, LOGG, [M/H], VMICRO: ',
     .        f6.3, i6, 3f7.2)


      end


