
      subroutine instructions
c******************************************************************************
c     this routine opens and reads the file with paths, files, parameters
c******************************************************************************

      implicit real*8 (a-h,o-z)
      include 'obsquants.com'
      include 'synquants.com'
      include 'asciichars.com'


c*****ask for the file name, open it
      write (*,*) 'what is the input instruction file list? '
      read (*,*) infofile
      open (1,file=infofile,status='old')


c*****read total FWHM (km/s) of observed line profiles, and
c*****the instrumental FWHM (km/s)
      read (1,*) vfwhmtot
      read (1,*) vfwhminst
      write (98, 1002) vfwhmtot,vfwhminst


c*****read the path+filename of the list of synthetic spectra; decodde
      read (1,1001) synspectotal
      call parsename (synspectotal, synspecpath, synspecfile,
     .                nsynspectotal, nsynspecpath, nsynspecfile)
      write (98,1003) synspecpath, synspecfile


c*****read the path+filename of the list of observed spectra; decodde
      read (1,1001) obsspectotal
      call parsename (obsspectotal, obsspecpath, obsspecfile,
     .                nobsspectotal, nobsspecpath, nobsspecfile)
      write (98,1004) obsspecpath, obsspecfile


c*****read the list of regions for which chi2 statistics will be done
      do i=1,100
         read (1,*,end=10) chi2wave(1,i), chi2wave(2,i)
      enddo
10    nchi2 = i - 1
      write (98,1007) (chi2wave(1,i), chi2wave(2,i),i=1,nchi2)


c*****exit normally
      return


c*****format statemensts
1001  format (a80)
1002  format ('     TOTAL OBSERVED STELLAR FWHM (KM/S): '/ f6.3/
     .        '     INSTRUMENTAL FWHM (KM/S): '/ f6.3)
1003  format ('     DIRECTORY CONTAINING SYNTHETIC SPECTRA: '/a80/
     .        '     FILE WITH LIST OF SYNTHETIC SPECTRA: '/a80)
1004  format ('     DIRECTORY CONTAINING OBSERVED SPECTRA: '/a80/
     .        '     FILE WITH LIST OF OBSERVED SPECTRA: '/a80)
1006  format ('     RADIAL VELOCITY AT TIME OF OBSERVATION: '/f6.1)
1007  format ('     WAVELENGTH REGIONS FOR CHI2 STATISTICS: '/
     .        (2f13.1))


      end



