
      subroutine obsfluxinterp
c******************************************************************************
c     this routine locates the two observed wavelength points that bracket
c     the synthetic spectrum point, and estimates the observed flux at
c     the synthesis point by linear interpolation
c******************************************************************************

      implicit real*8 (a-h,o-z)
      include 'obsquants.com'
      include 'synquants.com'
      include 'asciichars.com'


c*****find the right part of the observed array
      do i=ilo,nobspts-1
         if (wavewant .le. obswave(i)) exit
      enddo
      if (i .eq. nobspts-1) then
         write (*,1001) wavewant, obswave(nobspts), nobspts
         stop
      endif
      ilo = i - 1
      fluxinterp = obsflux(ilo) + (wavewant-obswave(ilo))*
     .             (obsflux(ilo+1)-obsflux(ilo))/
     .             (obswave(ilo+1)-obsflux(ilo))


c*****exit normally
      return


c*****format statements
1001  format('TROUBLE:   DESIRED WAVELENGTH =', f10.3/
     .       '    LAST OBSERVED POINT =', f10.3/
     .       '    NO. POINTS =', i6)


      end


